Subject: Two processes accessing the same mapped physical memory

From: Misbah khan <[email-masked]>
Date: Wed, 6 Aug 2008 04:17:08 -0700 (PDT)

Hi all,

In my driver i have mapped the SDRAM memory to user space using mmap.
Application can directly access to this physical memory but how can i ensure
that no other process will write to this memory location as long as my
application is having the access to this memory (unlees it unmaps)

For testing this i have written a simul driver which also maps the same
memory of SDRAM and a test application to access it when i run the two
application (actual and test ) ,both of them were accessing the memory and
writing and reading to it. 

What is the mechanism to lock this memory (SDRAM in my case )so that no
other process should access it unless and until my process unmaps it or gets
killed.

--- Misbah <><

-- 
View this message in context: http://www.nabble.com/Two-processes-accessing-the-same-mapped-physical-memory-tp18849083p18849083.html
Sent from the linuxppc-embedded mailing list archive at Nabble.com.